package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.skill.constants.ArtSeqName;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 考生表-考生材料
 * 
 * @author: zxq
 * @date: 2019-07-26 10:59:45
 * @version: 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "STD_MATERIAL", keyColumn = "MATERIAL_ID", sequenceName = ArtSeqName.StdMaterialId)
public class StdMaterial implements Serializable {
	private static final long serialVersionUID = 9083723962786082149L;
	// 材料编号
	private Integer material_id;
	// 学生ID
	private Integer std_id;
	// 材料类型
	private String material_type;
	// 材料文件
	private String material_file;
	// 文件类型
	private String file_type;
	// 上传时间
	private LocalDateTime upload_time;
	// 审核状态
	private String verify_status;
	// 审核时间
	private LocalDateTime verify_time;
	// 是否重新上传了
	private String reupload_status;
	// 审核不通过的提示信息
	private String verify_msg;
	// 审核人
	private Integer verify_optr;
	// 是否自动审核
	private String verify_auto;

	/****
	 * 材料编号
	 */
	public Integer getMaterial_id() {
		return this.material_id;
	}

	/****
	 * 材料编号
	 */
	public void setMaterial_id(Integer material_id) {
		this.material_id = material_id;
	}

	/****
	 * 学生ID
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 学生ID
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	/****
	 * 材料类型
	 */
	public String getMaterial_type() {
		return this.material_type;
	}

	/****
	 * 材料类型
	 */
	public void setMaterial_type(String material_type) {
		this.material_type = material_type;
	}

	/****
	 * 材料文件
	 */
	public String getMaterial_file() {
		return this.material_file;
	}

	/****
	 * 材料文件
	 */
	public void setMaterial_file(String material_file) {
		this.material_file = material_file;
	}

	/****
	 * 文件类型
	 */
	public String getFile_type() {
		return this.file_type;
	}

	/****
	 * 文件类型
	 */
	public void setFile_type(String file_type) {
		this.file_type = file_type;
	}

	/****
	 * 上传时间
	 */
	public LocalDateTime getUpload_time() {
		return this.upload_time;
	}

	/****
	 * 上传时间
	 */
	public void setUpload_time(LocalDateTime upload_time) {
		this.upload_time = upload_time;
	}

	/****
	 * 审核状态
	 */
	public String getVerify_status() {
		return this.verify_status;
	}

	/****
	 * 审核状态
	 */
	public void setVerify_status(String verify_status) {
		this.verify_status = verify_status;
	}

	/****
	 * 审核时间
	 */
	public LocalDateTime getVerify_time() {
		return this.verify_time;
	}

	/****
	 * 审核时间
	 */
	public void setVerify_time(LocalDateTime verify_time) {
		this.verify_time = verify_time;
	}

	/****
	 * 是否重新上传了
	 */
	public String getReupload_status() {
		return this.reupload_status;
	}

	/****
	 * 是否重新上传了
	 */
	public void setReupload_status(String reupload_status) {
		this.reupload_status = reupload_status;
	}

	/****
	 * 审核不通过的提示信息
	 */
	public String getVerify_msg() {
		return this.verify_msg;
	}

	/****
	 * 审核不通过的提示信息
	 */
	public void setVerify_msg(String verify_msg) {
		this.verify_msg = verify_msg;
	}

	/****
	 * 审核人
	 */
	public Integer getVerify_optr() {
		return this.verify_optr;
	}

	/****
	 * 审核人
	 */
	public void setVerify_optr(Integer verify_optr) {
		this.verify_optr = verify_optr;
	}

	/****
	 * 是否自动审核
	 */
	public String getVerify_auto() {
		return this.verify_auto;
	}

	/****
	 * 是否自动审核
	 */
	public void setVerify_auto(String verify_auto) {
		this.verify_auto = verify_auto;
	}

}